Bug 493650 - error activating XKB configuration
Summary: error activating XKB configuration
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: xkeyboard-config
Version: 11
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Peter Hutterer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-04-02 14:06 UTC by Joachim Backes
Modified: 2018-04-11 10:05 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-28 23:33:57 UTC
Type: ---


Attachments (Terms of Use)
jpg of error message (31.53 KB, image/jpeg)
2009-04-02 14:06 UTC, Joachim Backes
no flags Details
Xorg.0.log (87.47 KB, text/plain)
2009-07-06 13:53 UTC, Horst H. von Brand
no flags Details

Description Joachim Backes 2009-04-02 14:06:06 UTC
Created attachment 337818 [details]
jpg of error message

Description of problem:

After logging in into the gnome session in F11 Beta, getting a keyboard error popup. My keyboard is German, no dead keys. But the dead keys options is not operable.

Version-Release number of selected component (if applicable):

F11 Beta
How reproducible:
Ich time when logging in

Steps to Reproduce:
1.login into gnome desktop
2.
3.
  
Actual results:
Error activating XKB configuration

Expected results:
Keyboard works properly.

Additional info:
Output of gconf-tool:
======================
 layouts = []
 overrideSettings = false
 options = []
 model = pc101

Output of xprop-root | grep XKB
===============================
_XKB_RULES_NAMES_BACKUP(STRING) = "evdev", "evdev", "us", "nodeadkeys", ""
_XKB_RULES_NAMES(STRING) = "evdev", "evdev", "de", "", ""


Contents

Comment 1 Felix Kaechele 2009-04-02 15:19:21 UTC
Same here. Appears once when logging in, appears about 20-times at once when resuming from suspend.
Furthermore, after resuming from suspend the AltGr-key doesn't function. This is particularly annoying since the pipe-symbol, at-symbol and the braces only work together with AltGr. Therefor I'd like to set the severity to high.

My keyboard is "de" as well.

Comment 2 Joachim Backes 2009-04-02 15:37:47 UTC
(In reply to comment #1)
> Same here. Appears once when logging in, appears about 20-times at once when
> resuming from suspend.
> Furthermore, after resuming from suspend the AltGr-key doesn't function. This
> is particularly annoying since the pipe-symbol, at-symbol and the braces only
> work together with AltGr. Therefor I'd like to set the severity to high.
> 
> My keyboard is "de" as well.  

I cannot confirm the AltGr problem: on my Box, AltGr operations are all OK.

Comment 3 Felix Kaechele 2009-04-02 20:57:14 UTC
I counted: after resuming from suspend the error message appears exactly 22 times.

Comment 5 Johan Bregeon 2009-04-14 20:27:32 UTC
Same symptome with a French keyboard.

[~  ]$ xprop -root | grep XKB
_XKB_RULES_NAMES_BACKUP(STRING) = "evdev", "evdev", "us", "latin9", "terminate:ctrl_alt_bksp"
_XKB_RULES_NAMES(STRING) = "evdev", "evdev", "fr", "", ""
[ ~]$ gconftool-2 -R /desktop/gnome/peripherals/keyboard/kbd
 layouts = []
 options = []
 model = 

I have not noticed any misfunctionning of the keyboard though.

Comment 6 Bug Zapper 2009-06-09 13:06:12 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Chris 2009-06-11 23:21:27 UTC
same here

# xprop -root | grep XKB
_XKB_RULES_NAMES_BACKUP(STRING) = "evdev", "evdev", "us", "intl", "terminate:ctrl_alt_bksp"
_XKB_RULES_NAMES(STRING) = "evdev", "cymotionlinux", "us", "alt-intl", "grp:shift_caps_toggle"

$ gconftool-2 -R /desktop/gnome/peripherals/keyboard/kbd
 model = 
 options = []
 layouts = [de-latin1-nodeadkeys]

Comment 8 Alexandr Kara 2009-06-14 10:14:25 UTC
Fixed by going to System -> Preferences -> Keyboard -> Layouts and selecting "Reset to Defaults" and changing settings again.

Maybe changing "Keyboard model" to "Evdev-managed keyboard" would help, too.

Comment 9 Bernhard Schuster 2009-06-27 08:53:41 UTC
Creating a xorg.conf via  su -c 'Xorg -configure' and setting up xorg conf with correct xkb values makes everything work as supposed. 

su -c 'nano /etc/X11/xorg.conf'

Section "InputDevice"
	Identifier  "Keyboard0"
	Driver      "kbd"
	Option "XkbRules" "xorg"
	Option "XkbModel" "pc105"
	Option "XkbLayout" "de"
	Option "XkbVariant" "nodeadkeys"
EndSection


Nothing else did help me in any way. This was the only thing which tured out working. [I know this doesn't seem apropriate here, but I just have mention.]

Comment 10 Peter Hutterer 2009-06-28 22:15:04 UTC
the default configuration returned by Xorg -configure lets X ignore the keyboard section completely and rely on HAL instead.

looking at the configuration above, it looks like us + de(nodeadkeys) got mixed up somehow. I need the Xorg.log file and (if you have one) the xorg.conf file please.

Comment 11 Bernhard Schuster 2009-07-01 23:32:41 UTC
Well, it seems that gnome's keyboard config overwrites xorg.conf keyboard settings. Since both have the de variant <dead grave acute> it works as supposed (desktop + laptop both work this way)

If you still wan't my xorg.conf /Xorg.0.log tell me....

Comment 12 Horst H. von Brand 2009-07-06 13:53:14 UTC
Created attachment 350611 [details]
Xorg.0.log

(In reply to comment #5)
Fedora rawhide, x86_64, up to date.

For a week or so now my es keyboard doesn't react to Alt or AltGr (so I can't go to tty2, nor can I enter a lot of rather important characters). Recently it shows strange characters (an '?' over a black oval) for tilde or pipe. Running "od -c" on the keyboard gives giberish like:

0000000 033 302 272 033   1 033   2 033   3 033   4 033   5 033   + 033
0000020 303 247  \n

(this should be backslash, pipe, at, tilde, open/close brackets, open/close braces, i.e. I typed AltGr + º, 1, 2, 3, 4, `, +, ', ç).

$ xprop -root | grep XKB
_XKB_RULES_NAMES_BACKUP(STRING) = "evdev", "evdev", "us", "", ""
_XKB_RULES_NAMES(STRING) = "evdev", "evdev", "es", "", ""
$ gconftool-2 -R /desktop/gnome/peripherals/keyboard/kbd
layouts = [es]
options = []
model = 

No xorg.conf file around here. Xorg.0.log attached.

Comment 13 Matěj Cepl 2009-11-05 18:24:49 UTC
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

Comment 14 Matěj Cepl 2010-02-26 12:26:42 UTC
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]

Comment 15 Joachim Backes 2010-02-26 13:31:21 UTC
No problem in the current F12 with the GNOME keyboard configuration (no such error msg).

Comment 16 Peter Hutterer 2010-02-28 23:33:57 UTC
closing as WORKSFORME as per comment 15


Note You need to log in before you can comment on or make changes to this bug.